XFA: merge patch from CL 839163002 to only request C++ 11 for C++
authorBruce Dawson <brucedawson@google.com>
Fri, 9 Jan 2015 19:54:49 +0000 (11:54 -0800)
committerBruce Dawson <brucedawson@google.com>
Fri, 9 Jan 2015 19:54:49 +0000 (11:54 -0800)
commit0c753c3f98d089c184ca4fd6c11169e5796a1c48
treed7c9a300a464afe1b204b228dc7b498bb3a75c6a
parente5b59cacbb7ed6bcefe25d736a315753dd764594
XFA: merge patch from CL 839163002 to only request C++ 11 for C++

Only request C++11 when compiling C++ code.

Linux pdfium builds have 215 warnings of this form:
command line option -std=gnu++11 is valid for C++/ObjC++ but not for C

The obvious fix is to not request C++11 for C compilations. The only
complication was the the switch we are using is actually gnu++0x, not
gnu++11.

BUG=https://code.google.com/p/pdfium/issues/detail?id=102
TBR=tsepez@chromium.org

Review URL: https://codereview.chromium.org/839163002

Review URL: https://codereview.chromium.org/839323002
build/standalone.gypi